'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.description = exports.title = undefined;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _reactNative = require('react-native');

var _antdMobile = require('antd-mobile');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

var BUTTONS = ['操作 0', '操作 1', '操作 2', '删除', '取消'];
var DESTRUCTIVE_INDEX = 3;
var CANCEL_INDEX = 4;
exports["default"] = React.createClass({
    displayName: 'basic',
    getInitialState: function getInitialState() {
        return {
            clicked: 'none',
            text: ''
        };
    },
    render: function render() {
        return React.createElement(
            _reactNative.View,
            null,
            React.createElement(
                _reactNative.View,
                { style: [{ padding: 8 }] },
                React.createElement(
                    _antdMobile.Button,
                    { type: 'primary', onClick: this.showActionSheet },
                    '默认状态操作列表'
                )
            ),
            React.createElement(
                _reactNative.Text,
                { style: [{ padding: 8 }] },
                '点击过的按钮: ',
                this.state.clicked
            ),
            React.createElement(
                _reactNative.View,
                { style: [{ padding: 8 }] },
                React.createElement(
                    _antdMobile.Button,
                    { type: 'primary', onClick: this.showShareActionSheet },
                    '带分享功能的操作列表'
                )
            ),
            React.createElement(
                _reactNative.Text,
                { style: [{ padding: 8 }] },
                this.state.text
            )
        );
    },
    showActionSheet: function showActionSheet() {
        var _this = this;

        _antdMobile.ActionSheet.showActionSheetWithOptions({
            title: '标题',
            message: '我是描述我是描述',
            options: BUTTONS,
            cancelButtonIndex: CANCEL_INDEX,
            destructiveButtonIndex: DESTRUCTIVE_INDEX
        }, function (buttonIndex) {
            _this.setState({ clicked: BUTTONS[buttonIndex] });
        });
    },
    showShareActionSheet: function showShareActionSheet() {
        var _this2 = this;

        var opts = {
            url: 'https://www.alipay.com/',
            message: 'message to go with the shared url',
            excludedActivityTypes: [React.createElement(
                _reactNative.Text,
                null,
                'excludedActivityTypes'
            )],
            subject: null
        };
        if (_reactNative.Platform.OS === 'ios') {
            opts.subject = 'a subject to go in the email heading';
            opts.excludedActivityTypes = ['com.apple.UIKit.activity.PostToTwitter'];
        }
        _antdMobile.ActionSheet.showShareActionSheetWithOptions(opts, function (error) {
            return alert(error);
        }, function (success, method) {
            var text = void 0;
            if (success) {
                text = '通过 ' + method + ' 分享';
            } else {
                text = '您没有分享';
            }
            _this2.setState({ text: text });
        });
    }
});
var title = exports.title = 'ActionSheet';
var description = exports.description = 'ActionSheet example';