'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.vars = undefined;

var _variables = require('../../style/variables');

var _variables2 = _interopRequireDefault(_variables);

var _reactNative = require('react-native');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var vars = exports.vars = _variables2["default"];
exports["default"] = _reactNative.StyleSheet.create({
    wrap: {
        position: 'absolute',
        left: 0,
        right: 0,
        top: 0
    },
    content: {
        position: 'absolute',
        left: 0,
        right: 0,
        bottom: 0,
        backgroundColor: 'white',
        paddingTop: 5 * _variables2["default"].grid
    },
    mask: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        backgroundColor: 'rgba(34, 34, 34, 0.6)'
    },
    title: {
        flex: 1,
        alignItems: 'center',
        // justifyContent: 'center',
        marginTop: 4 * _variables2["default"].grid,
        marginBottom: 4 * _variables2["default"].grid
    },
    titleText: {
        fontWeight: '500'
    },
    message: {
        flex: 1,
        alignItems: 'center',
        // justifyContent: 'center',
        marginBottom: 4 * _variables2["default"].grid
    },
    btn: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        height: 11 * _variables2["default"].grid,
        borderStyle: 'solid',
        borderTopWidth: 1,
        borderTopColor: _variables2["default"].neutral_5,
        backgroundColor: 'white'
    },
    destructiveBtn: {
        color: _variables2["default"].function_error_2,
        fontSize: _variables2["default"].font_size_6
    },
    cancelBtn: {
        marginTop: 2 * _variables2["default"].grid,
        position: 'relative'
    },
    cancelBtnMask: {
        position: 'absolute',
        top: -2 * _variables2["default"].grid,
        left: 0,
        right: 0,
        height: 2 * _variables2["default"].grid,
        backgroundColor: '#F7F7F7',
        borderStyle: 'solid',
        borderTopWidth: 1,
        borderTopColor: _variables2["default"].neutral_5
    }
});