'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports["default"] = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _reactNative = require('react-native');

var _variables = require('../style/variables');

var _variables2 = _interopRequireDefault(_variables);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Button = function (_React$Component) {
    (0, _inherits3["default"])(Button, _React$Component);

    function Button(props) {
        (0, _classCallCheck3["default"])(this, Button);

        var _this = (0, _possibleConstructorReturn3["default"])(this, _React$Component.call(this, props));

        _this.onPressIn = function () {
            _this.setState({ pressIn: true });
        };
        _this.onPressOut = function () {
            _this.setState({ pressIn: false });
        };
        _this.state = {
            pressIn: false
        };
        return _this;
    }

    Button.prototype.pressTextColor = function pressTextColor() {
        if (this.state.pressIn) {
            return { color: this.mTextHighlightColor };
        }
        return { color: this.mTextColor };
    };

    Button.prototype.pressBorderColor = function pressBorderColor() {
        if (this.state.pressIn && this.mBorderHighlightColor) {
            return { borderColor: this.mBorderHighlightColor };
        }
        return { borderColor: this.mBorderColor };
    };

    Button.prototype.render = function render() {
        var _this2 = this;

        var size = this.props.size;
        var type = this.props.type;
        var disabled = this.props.disabled;
        var ghost = this.props.ghost;
        var height = void 0;
        var fontSize = void 0;
        var backgroundColor = void 0;
        var textColor = void 0;
        var borderWidth = void 0;
        var borderColor = void 0;
        var borderRadius = void 0;
        var highlightBackgroundColor = void 0;
        var highlightTextColor = void 0;
        var highlightBorderColor = void 0;
        var paddingLeft = void 0;
        var paddingRight = void 0;
        var largeHeight = 11 * _variables2["default"].grid;
        var smallHeight = 7 * _variables2["default"].grid;
        var largePadding = 4 * _variables2["default"].grid;
        var smallPadding = 3 * _variables2["default"].grid;
        var largeFontSize = _variables2["default"].font_size_6;
        var smallFontSize = _variables2["default"].font_size_3;
        switch (size) {
            case 'large':
                height = largeHeight;
                fontSize = largeFontSize;
                paddingLeft = paddingRight = largePadding;
                break;
            case 'small':
                height = smallHeight;
                fontSize = smallFontSize;
                paddingLeft = paddingRight = smallPadding;
                break;
            default:
                break;
        }
        if (type === 'primary') {
            backgroundColor = _variables2["default"].brand_6;
            textColor = _variables2["default"].neutral_1;
            borderWidth = 1;
            borderColor = _variables2["default"].brand_6;
            borderRadius = _variables2["default"].radius_2;
            highlightBorderColor = _variables2["default"].brand_7;
            highlightTextColor = _variables2["default"].neutral_1;
            highlightBorderColor = _variables2["default"].brand_7;
            highlightBackgroundColor = _variables2["default"].brand_7;
            if (disabled) {
                textColor = _variables2["default"].neutral_1;
                backgroundColor = _variables2["default"].brand_3;
                borderColor = _variables2["default"].brand_1;
            }
            if (ghost) {
                backgroundColor = 'transparent';
                textColor = _variables2["default"].brand_6;
                borderColor = _variables2["default"].brand_6;
                highlightTextColor = _variables2["default"].brand_7;
                highlightBackgroundColor = _variables2["default"].brand_3_f_20;
                highlightBorderColor = _variables2["default"].brand_7;
                if (disabled) {
                    textColor = _variables2["default"].brand_3_f_60;
                    backgroundColor = _variables2["default"].brand_3_f_20;
                    borderColor = backgroundColor;
                }
            }
        } else if (type === 'default') {
            backgroundColor = _variables2["default"].neutral_1;
            textColor = _variables2["default"].neutral_10;
            borderWidth = 1;
            borderColor = _variables2["default"].neutral_5;
            borderRadius = _variables2["default"].radius_2;
            highlightBackgroundColor = _variables2["default"].neutral_2;
            highlightTextColor = textColor;
            if (disabled) {
                textColor = _variables2["default"].neutral_6;
                backgroundColor = _variables2["default"].neutral_3;
                borderColor = _variables2["default"].neutral_4;
            }
            if (ghost) {
                textColor = _variables2["default"].neutral_10;
                borderColor = _variables2["default"].neutral_4;
                highlightTextColor = _variables2["default"].neutral_10;
                highlightBackgroundColor = _variables2["default"].neutral_3_f_20;
                highlightBorderColor = _variables2["default"].neutral_4;
                if (disabled) {
                    textColor = _variables2["default"].neutral_6_f_60;
                    backgroundColor = _variables2["default"].neutral_3_f_20;
                    borderColor = textColor;
                }
            }
        }
        var touchableProps = {};
        if (!disabled) {
            touchableProps.onPressIn = this.onPressIn;
            touchableProps.onPressOut = this.onPressOut;
        }
        var style = {
            alignItems: 'center',
            height: height,
            paddingLeft: paddingLeft,
            paddingRight: paddingRight,
            backgroundColor: backgroundColor,
            borderRadius: borderRadius,
            borderWidth: borderWidth,
            borderColor: borderColor,
            justifyContent: 'center'
        };
        this.mTextColor = textColor;
        this.mBorderColor = borderColor;
        this.mTextHighlightColor = highlightTextColor;
        if (highlightBorderColor) {
            this.mBorderHighlightColor = highlightBorderColor;
        }
        if (disabled) {
            return React.createElement(
                _reactNative.View,
                (0, _extends3["default"])({}, this.props, { style: [style, this.pressBorderColor(), this.props.style] }),
                React.createElement(
                    _reactNative.Text,
                    { style: [{ fontSize: fontSize }, this.pressTextColor()] },
                    this.props.children
                )
            );
        }
        return React.createElement(
            _reactNative.TouchableHighlight,
            (0, _extends3["default"])({ activeOpacity: 1, onPress: function onPress() {
                    return _this2.props.onClick(_this2);
                }, delayPressOut: 1 }, this.props, touchableProps, { style: [style, this.pressBorderColor(), this.props.style], underlayColor: highlightBackgroundColor }),
            React.createElement(
                _reactNative.Text,
                { style: [{ fontSize: fontSize }, this.pressTextColor()] },
                this.props.children
            )
        );
    };

    return Button;
}(React.Component);

exports["default"] = Button;

Button.propTypes = {
    pressIn: _react.PropTypes.bool,
    onPressIn: _react.PropTypes.func,
    onPressOut: _react.PropTypes.func,
    disabled: _react.PropTypes.bool,
    size: _react.PropTypes.oneOf(['large', 'small']),
    type: _react.PropTypes.oneOf(['primary', 'default']),
    ghost: _react.PropTypes.bool,
    inline: _react.PropTypes.bool,
    loading: _react.PropTypes.bool,
    onClick: _react.PropTypes.func
};
Button.defaultProps = {
    pressIn: false,
    size: 'large',
    type: 'primary',
    ghost: false,
    disabled: false,
    inline: false,
    loading: false,
    onClick: function onClick(x) {}
};
module.exports = exports['default'];