'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.description = exports.title = undefined;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _reactNative = require('react-native');

var _antdMobile = require('antd-mobile');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

var styles = _reactNative.StyleSheet.create({
    buttonContents: {
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        padding: 5
    },
    img: {
        width: 64,
        height: 64
    }
});
var victory = 'https://os.alipayobjects.com/rmsportal/kwihkdUVljwUURM.png';
var superlike = 'https://os.alipayobjects.com/rmsportal/pmXtSKUFLsIEJLh.png';
var poke = 'https://os.alipayobjects.com/rmsportal/ZlYzyBcrtLqnbjN.png';
var party = 'https://os.alipayobjects.com/rmsportal/mIrghdvucaPOLhc.png';
var liking = 'https://os.alipayobjects.com/rmsportal/DrcLpisGZWASeoj.png';
var like = 'https://os.alipayobjects.com/rmsportal/jloFMiDVGaHrHIO.png';
var heart = 'https://os.alipayobjects.com/rmsportal/QFjTyLzmuJQIflm.png';
var flowers = 'https://os.alipayobjects.com/rmsportal/rgahTjFqZATwqqL.png';
var fist = 'https://os.alipayobjects.com/rmsportal/KcyBnnVZlfIDgci.png';
var dislike = 'https://os.alipayobjects.com/rmsportal/FmMzrxqOhiogBOX.png';
var call = 'https://os.alipayobjects.com/rmsportal/TKlynYhJACDNwKw.png';
var bandaged = 'https://os.alipayobjects.com/rmsportal/htJwTSIUpppWwSb.png';
var THUMB_URLS = [like, dislike, call, fist, bandaged, flowers, heart, liking, party, poke, superlike, victory];
var Thumb = React.createClass({
    displayName: 'Thumb',
    getInitialState: function getInitialState() {
        return { thumbIndex: this._getThumbIdx(), dir: 'row' };
    },
    _getThumbIdx: function _getThumbIdx() {
        return Math.floor(Math.random() * THUMB_URLS.length);
    },
    _onPressThumb: function _onPressThumb() {
        this.props.highlightRow(this.props.sectionID, this.props.rowID);
        this.setState({
            thumbIndex: this._getThumbIdx(),
            dir: this.state.dir === 'row' ? 'column' : 'row'
        });
    },
    render: function render() {
        return React.createElement(
            _reactNative.TouchableHighlight,
            { onPress: this._onPressThumb },
            React.createElement(
                _reactNative.View,
                { style: [styles.buttonContents, { flexDirection: this.state.dir }] },
                React.createElement(_reactNative.Image, { style: styles.img, source: { uri: THUMB_URLS[this.state.thumbIndex] } }),
                React.createElement(_reactNative.Image, { style: styles.img, source: { uri: THUMB_URLS[this.state.thumbIndex] } }),
                React.createElement(_reactNative.Image, { style: styles.img, source: { uri: THUMB_URLS[this.state.thumbIndex] } }),
                this.state.dir === 'column' ? React.createElement(
                    _reactNative.Text,
                    null,
                    this.props.highlightRow
                ) : null
            )
        );
    }
});
var NUM_SECTIONS = 20;
var NUM_ROWS_PER_SECTION = 10;
var pageIndex = 0;
exports["default"] = React.createClass({
    displayName: 'basic',
    getInitialState: function getInitialState() {
        var _this = this;

        var getSectionData = function getSectionData(dataBlob, sectionID) {
            return dataBlob[sectionID];
        };
        var getRowData = function getRowData(dataBlob, sectionID, rowID) {
            return dataBlob[rowID];
        };
        var dataSource = new _antdMobile.ListView.DataSource({
            getRowData: getRowData,
            getSectionHeaderData: getSectionData,
            rowHasChanged: function rowHasChanged(row1, row2) {
                return row1 !== row2;
            },
            sectionHeaderHasChanged: function sectionHeaderHasChanged(s1, s2) {
                return s1 !== s2;
            }
        });
        this.dataBlob = {};
        this.sectionIDs = [];
        this.rowIDs = [];
        this._genData = function () {
            var pIndex = arguments.length <= 0 || arguments[0] === undefined ? 0 : arguments[0];

            for (var i = 0; i < NUM_SECTIONS; i++) {
                var ii = pIndex * NUM_SECTIONS + i;
                var sectionName = 'Section ' + ii;
                _this.sectionIDs.push(sectionName);
                _this.dataBlob[sectionName] = sectionName;
                _this.rowIDs[ii] = [];
                for (var jj = 0; jj < NUM_ROWS_PER_SECTION; jj++) {
                    var rowName = 'S' + ii + ', R' + jj;
                    _this.rowIDs[ii].push(rowName);
                    _this.dataBlob[rowName] = rowName;
                }
            }
            // new object ref
            _this.sectionIDs = [].concat(_this.sectionIDs);
            _this.rowIDs = [].concat(_this.rowIDs);
        };
        this._genData();
        return {
            dataSource: dataSource.cloneWithRowsAndSections(this.dataBlob, this.sectionIDs, this.rowIDs),
            headerPressCount: 0
        };
    },
    renderRow: function renderRow(rowData, sectionID, rowID) {
        var highlightRow = arguments.length <= 3 || arguments[3] === undefined ? function () {} : arguments[3];

        return React.createElement(Thumb, { rowData: rowData, sectionID: sectionID, rowID: rowID, highlightRow: highlightRow });
    },
    renderSectionHeader: function renderSectionHeader(sectionData) {
        return React.createElement(
            _reactNative.Text,
            { style: [{ color: 'blue' }] },
            sectionData
        );
    },
    render: function render() {
        return React.createElement(_antdMobile.ListView, { dataSource: this.state.dataSource, renderHeader: function renderHeader() {
                return React.createElement(
                    _reactNative.Text,
                    null,
                    'header'
                );
            }, renderFooter: function renderFooter() {
                return React.createElement(
                    _reactNative.Text,
                    null,
                    'footer'
                );
            }, renderSectionHeader: this.renderSectionHeader, renderRow: this.renderRow, pageSize: 4, onEndReached: this._onEndReached });
    },
    _onEndReached: function _onEndReached(event) {
        // load new data
        this._genData(++pageIndex);
        this.setState({
            dataSource: this.state.dataSource.cloneWithRowsAndSections(this.dataBlob, this.sectionIDs, this.rowIDs)
        });
    }
});
var title = exports.title = 'ListView';
var description = exports.description = 'ListView example';