'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _variables = require('../../style/variables');

var _variables2 = _interopRequireDefault(_variables);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = {
    AssetsList: {
        arrowH: 'https://os.alipayobjects.com/rmsportal/eETBcnxVBzqKwru.png',
        // to be updated
        arrowUp: 'https://os.alipayobjects.com/rmsportal/LoENKHGaVaCDCTB.png',
        arrowDown: 'https://os.alipayobjects.com/rmsportal/LoENKHGaVaCDCTB.png'
    },
    ThemesList: {
        underlayColor: '#e5e5e5',
        Header: {
            marginTop: 4 * _variables2["default"].grid,
            marginLeft: 4 * _variables2["default"].grid,
            marginRight: 4 * _variables2["default"].grid,
            marginBottom: 2 * _variables2["default"].grid,
            fontSize: _variables2["default"].font_size_4,
            lineHeight: 15,
            color: _variables2["default"].neutral_7
        },
        Footer: {
            marginTop: 2 * _variables2["default"].grid,
            marginLeft: 4 * _variables2["default"].grid,
            marginRight: 4 * _variables2["default"].grid,
            fontSize: _variables2["default"].font_size_2,
            lineHeight: 15,
            color: _variables2["default"].neutral_7
        },
        Body: {
            backgroundColor: '#fff',
            borderTopWidth: 1,
            borderTopColor: '#e5e5e5',
            borderBottomWidth: 1,
            borderBottomColor: '#e5e5e5'
        },
        Item: {
            flexDirection: 'row',
            flex: 1,
            alignItems: 'center',
            marginLeft: 4 * _variables2["default"].grid,
            paddingTop: 1.5 * _variables2["default"].grid,
            paddingBottom: 1.5 * _variables2["default"].grid,
            paddingRight: 4 * _variables2["default"].grid,
            height: _variables2["default"].margin_9,
            borderBottomWidth: 1,
            borderBottomColor: '#e5e5e5'
        },
        Thumb: {
            width: 29,
            height: 29,
            marginRight: 2 * _variables2["default"].grid
        },
        Content: {
            flex: 1,
            color: _variables2["default"].neutral_10,
            fontSize: _variables2["default"].font_size_5,
            height: 6 * _variables2["default"].grid,
            lineHeight: 5 * _variables2["default"].grid
        },
        AffiliatedContent: {
            flex: 1,
            color: _variables2["default"].neutral_8,
            fontSize: _variables2["default"].font_size_4,
            height: 6 * _variables2["default"].grid,
            lineHeight: 5 * _variables2["default"].grid
        },
        Detail: {
            flex: 1,
            height: 15,
            lineHeight: 14,
            fontSize: _variables2["default"].font_size_4,
            color: _variables2["default"].neutral_7,
            marginTop: _variables2["default"].margin_1
        },
        Extra: {
            color: '#999',
            fontSize: 14
        },
        Arrow: {
            width: 13,
            height: 13,
            marginLeft: _variables2["default"].margin_2
        },
        Error: {
            Body: {
                borderTopColor: 'red',
                borderBottomColor: 'red'
            },
            Item: {
                borderBottomColor: 'red'
            }
        },
        Last: {
            Item: {
                borderBottomWidth: 0
            }
        },
        Line2: {
            Item: {
                height: 65
            },
            Thumb: {
                width: 45,
                height: 45
            }
        }
    }
};
module.exports = exports['default'];