import * as React from 'react';
export interface DataItem {
    label?: any;
    value?: any;
    children?: any;
    isLeaf?: boolean;
    [key: string]: any;
}
export interface SubDataItem {
    label?: any;
    value?: any;
    [key: string]: any;
}
export interface MenuProps {
    /** web only */
    prefixCls?: string;
    /** web only */
    className?: string;
    style?: React.CSSProperties;
    data?: Array<DataItem>;
    value?: Array<string>;
    onChange?: Function;
    level?: number;
    height?: number;
}
export interface MenuState {
    SubMenuData: Array<SubDataItem>;
    firstValue?: any;
}
export default class Menu extends React.Component<MenuProps, MenuState> {
    static propTypes: {
        level: React.Requireable<any>;
    };
    static defaultProps: {
        prefixCls: string;
        value: any[];
        data: any[];
        level: number;
        onChange: () => void;
    };
    constructor(props: any);
    onClickListItem: (el: any) => void;
    onClickSubMenuItem: (el: any) => void;
    render(): JSX.Element;
}
