'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _variables = require('../../style/variables');

var _variables2 = _interopRequireDefault(_variables);

var _reactNative = require('react-native');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = _reactNative.StyleSheet.create({
    container: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'rgba(34, 34, 34, 0.6)'
    },
    innerContainer: {
        borderRadius: _variables2["default"].radius_1,
        width: 286,
        paddingTop: 6 * _variables2["default"].grid
    },
    header: {
        fontSize: _variables2["default"].font_size_6,
        color: _variables2["default"].neutral_10,
        textAlign: 'center',
        paddingHorizontal: 6 * _variables2["default"].grid
    },
    body: {
        paddingTop: 0,
        paddingBottom: 6 * _variables2["default"].grid,
        paddingHorizontal: 6 * _variables2["default"].grid
    },
    maskClosable: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        backgroundColor: 'transparent'
    },
    closeWrap: {
        position: 'absolute',
        top: 0,
        right: 4 * _variables2["default"].grid
    },
    close: {
        fontSize: 40,
        fontWeight: '300',
        color: _variables2["default"].neutral_7
    }
});
module.exports = exports['default'];