'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.description = exports.title = undefined;

var _from = require('babel-runtime/core-js/array/from');

var _from2 = _interopRequireDefault(_from);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _reactNative = require('react-native');

var _antdMobile = require('antd-mobile');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var styles = _reactNative.StyleSheet.create({
    row: {
        borderColor: 'grey',
        borderWidth: 1,
        padding: 20,
        backgroundColor: '#3a5795',
        margin: 5
    },
    text: {
        alignSelf: 'center',
        color: '#fff'
    },
    scrollview: {
        flex: 1
    }
});

var Row = function (_React$Component) {
    (0, _inherits3["default"])(Row, _React$Component);

    function Row() {
        (0, _classCallCheck3["default"])(this, Row);
        return (0, _possibleConstructorReturn3["default"])(this, _React$Component.apply(this, arguments));
    }

    Row.prototype._onClick = function _onClick() {
        this.props.onClick(this.props.data);
    };

    Row.prototype.render = function render() {
        return React.createElement(
            _reactNative.TouchableWithoutFeedback,
            { onPress: this._onClick },
            React.createElement(
                _reactNative.View,
                { style: styles.row },
                React.createElement(
                    _reactNative.Text,
                    { style: styles.text },
                    this.props.data.text + ' (' + this.props.data.clicks + ' clicks)'
                )
            )
        );
    };

    return Row;
}(React.Component);

exports["default"] = React.createClass({
    displayName: 'basic',
    getInitialState: function getInitialState() {
        return {
            isRefreshing: false,
            loaded: 0,
            rowData: (0, _from2["default"])(new Array(20)).map(function (val, i) {
                return { text: 'Initial row ' + i, clicks: 0 };
            })
        };
    },
    _onClick: function _onClick(row) {
        row.clicks++;
        this.setState({
            rowData: this.state.rowData
        });
    },
    render: function render() {
        var _this2 = this;

        var rows = this.state.rowData.map(function (row, ii) {
            return React.createElement(Row, { key: ii, data: row, onClick: _this2._onClick });
        });
        return React.createElement(
            _reactNative.ScrollView,
            { style: styles.scrollview, refreshControl: React.createElement(_antdMobile.RefreshControl, { refreshing: this.state.isRefreshing, onRefresh: this._onRefresh, tintColor: '#ff0000', title: 'Loading...', titleColor: '#00ff00', colors: ['#ff0000', '#00ff00', '#0000ff'], progressBackgroundColor: '#ffff00' }) },
            React.createElement(
                _reactNative.Text,
                null,
                '因为router，此demo不能正常工作，单独引用正常'
            ),
            rows
        );
    },
    _onRefresh: function _onRefresh() {
        var _this3 = this;

        this.setState({ isRefreshing: true });
        setTimeout(function () {
            // prepend 10 items
            var rowData = (0, _from2["default"])(new Array(10)).map(function (val, i) {
                return {
                    text: 'Loaded row ' + (+_this3.state.loaded + i),
                    clicks: 0
                };
            }).concat(_this3.state.rowData);
            _this3.setState({
                loaded: _this3.state.loaded + 10,
                isRefreshing: false,
                rowData: rowData
            });
        }, 5000);
    }
});
var title = exports.title = 'RefreshControl';
var description = exports.description = 'RefreshControl example';