'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _colorPalette = require('./color-palette');

var _colorPalette2 = _interopRequireDefault(_colorPalette);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = (0, _assign2["default"])({}, _colorPalette2["default"], {
    /* 中性色版(neutral) */
    neutral_1: '#fff',
    neutral_2: '#f7f7f7',
    neutral_3: '#efefef',
    neutral_4: '#e9e9e9',
    neutral_5: '#d9d9d9',
    neutral_6: '#ccc',
    neutral_7: '#999',
    neutral_8: '#666',
    neutral_9: '#404040',
    neutral_10: '#222',
    neutral_11: '#000',
    neutral_3_f_20: '#efefef20',
    neutral_3_f_60: '#efefef60',
    neutral_6_f_60: '#ccc6',
    /* 品牌色（brand） */
    brand_1: '#E4F6FE',
    brand_2: '#C2EBFD',
    brand_3: '#9EDFFC',
    brand_4: '#79D2FA',
    brand_5: '#53C4F8',
    brand_6: '#2DB7F5',
    brand_7: '#0EA6EB',
    brand_8: '#0F8BC2',
    brand_9: '#10709B',
    brand_10: '#115777',
    brand_3_f_20: '#9EDFFC20',
    brand_3_f_60: '#9EDFFC60',
    /* 功能色（function）*/
    function_error_1: '#FEEFE8',
    function_error_2: '#FE7A38',
    function_success_1: '#EDFBE7',
    function_success_2: '#6ABF47',
    function_warning_1: '#fef5e1',
    function_warning_2: '#FAAE14',
    function_link_1: '#2DB7F5',
    /* 间距（margin）*/
    margin_1: 4,
    margin_2: 8,
    margin_3: 12,
    margin_4: 16,
    margin_5: 24,
    margin_6: 28,
    margin_7: 32,
    margin_8: 40,
    margin_9: 44,
    /* 字号，可拓展 */
    font_size_1: 10,
    font_size_2: 12,
    font_size_3: 13,
    font_size_4: 14,
    font_size_5: 16,
    font_size_6: 18,
    font_size_7: 20,
    /* 最小单位 */
    grid: 4,
    /* 行高，可拓展，行高值的单位可以是em也可以是dp */
    line_height_1: 1,
    line_height_2: 1.5,
    /* 字重，可拓展 */
    font_weight_1: 'normal',
    font_weight_2: 'bold',
    /* 圆角边框 (radius) */
    radius_1: 4,
    radius_2: 6
});
module.exports = exports['default'];